View Issue Details

IDProjectCategoryView StatusLast Update
0002046Far ManagerInterfacepublic2012-03-14 23:28
ReporterMaximusAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002046: Глюки при ресайзе консоли
DescriptionЗапустить "Far /w", например, с размером 120х30 и высотой буфера 300.
Far без плагинов, на чистом профиле.
Через свойства консоли уменьшаем ширину и увеличиваем высоту видимой области 80x40,
клацаем мышкой на кнопку ОК или жмем Enter.

Дальше возможны различные варианты, видимо в зависимости от того, где оказался
курсор мышки после закрытия окна свойств.

1. Окошко дергается, но в итоге размер не меняется. Загружен ExtendedConsole.dll, Far запущен без ConEmu. Странно это, ведь длл-ка не препятствует смене размера консоли.

Если же ExtendedConsole.dll _отсутствует_, то либо

2. размер таки меняется, но почему-то неправильно. Например, просил 80x40, получил - 80x38. Просил 120x30, получил 120x32.
Хотя, вот это, возможно глюк самой винды... за счет появления/пропадания горизонтальной полосы прокрутки. Но докладываю )

3. либо возникает Exception вида.
  First-chance exception at 0x005d82b4 in far.exe: 0xC0000005: Access violation reading location 0x02ddc000.
  Unhandled exception at 0x005d82b4 in far.exe: 0xC0000005: Access violation reading location 0x02ddc000.
Кроме того, про Exception сказано только в заголовке окна, в самой консоли ничего не видно.
Стек.
     Far.exe!_VEC_memcpy(void * dst=0x02ddbc64, void * src=0x00000500, int len=46873884) + 0x24 bytes C
> Far.exe!SaveScreen::CharCopy(FAR_CHAR_INFO * ToBuffer=0x02db6234, FAR_CHAR_INFO * FromBuffer=0x02ddbc64, int Count=40) Line 297 + 0x14 bytes C++
     Far.exe!SaveScreen::Resize(int NewX=80, int NewY=38, unsigned long Corner=2, bool SyncWithConsole=true) Line 276 C++
     Far.exe!CommandLine::ResizeConsole() Line 743 C++
     Far.exe!FilePanels::ResizeConsole() Line 1174 + 0x1c bytes C++
     Far.exe!Manager::ResizeAllFrame() Line 1843 + 0x21 bytes C++
     Far.exe!GetInputRecord(_INPUT_RECORD * rec=0x02cccf6c, bool ExcludeMacro=false, bool ProcessMouse=false, bool AllowSynchro=true) Line 1158 C++
     Far.exe!Manager::ProcessMainLoop() Line 701 + 0xf bytes C++
     Far.exe!Manager::EnterMainLoop() Line 677 C++
     Far.exe!MainProcess(const UnicodeString & lpwszEditName={...}, const UnicodeString & lpwszViewName={...}, const UnicodeString & lpwszDestName1={...}, const UnicodeString & lpwszDestName2={...}, int StartLine=-1, int StartChar=-1) Line 298 C++
     Far.exe!MainProcessSEH(UnicodeString & strEditName={...}, UnicodeString & strViewName={...}, UnicodeString & DestName1={...}, UnicodeString & DestName2={...}, int StartLine=-1, int StartChar=-1) Line 321 + 0x1d bytes C++
     Far.exe!wmain(int Argc=2, wchar_t * * Argv=0x027b32b0) Line 770 + 0x1d bytes C++
TagsNo tags attached.
Build2534

Activities

2useven10

2012-03-06 22:27

developer   bugnote:0008715

DrKnS там действительно 'ахтунг', как и написано в комментарии.

2useven10

2012-03-07 23:53

developer   bugnote:0008717

2534. падать больше не должно...

2useven10

2012-03-12 00:58

developer   bugnote:0008734

2534

Maximus

2012-03-12 01:20

reporter   bugnote:0008735

вроде норм

Issue History

Date Modified Username Field Change
2012-03-06 14:10 Maximus New Issue
2012-03-06 22:27 2useven10 Note Added: 0008715
2012-03-07 23:53 2useven10 Note Added: 0008717
2012-03-12 00:58 2useven10 Note Added: 0008734
2012-03-12 00:58 2useven10 Assigned To => 2useven10
2012-03-12 00:58 2useven10 Status new => feedback
2012-03-12 01:20 Maximus Note Added: 0008735
2012-03-12 01:20 Maximus Status feedback => assigned
2012-03-12 01:20 Maximus Status assigned => resolved
2012-03-14 23:28 2useven10 Build => 2534
2012-03-14 23:28 2useven10 Status resolved => closed
2012-03-14 23:28 2useven10 Resolution open => fixed
2012-03-14 23:28 2useven10 Fixed in Version => 3.0